package md

type CompanyAddReq struct {
	Name      string `json:"name" binding:"required" label:"名称"`
	Memo      string `json:"memo" label:"备注"`
	LeadName  string `json:"lead_name" label:"负责人姓名"`
	LeadPhone string `json:"lead_phone" label:"负责人手机号"`
}

type CompanyUpdateReq struct {
	Id        int    `json:"id" binding:"required" label:"公司id"`
	State     int32  `json:"state" label:"状态"`
	Name      string `json:"name" binding:"required" label:"名称"`
	Memo      string `json:"memo" label:"备注"`
	LeadName  string `json:"lead_name" label:"负责人姓名"`
	LeadPhone string `json:"lead_phone" label:"负责人手机号"`
}
