package md

type SetCenterReq struct {
	AdministratorContactInfo                          string `json:"administrator_contact_info" binding:"required" label:"管理员联系方式"`
	CentralKitchenForSchoolReserveMealTime            string `json:"central_kitchen_for_school_reserve_meal_time" binding:"required" label:"央厨预定用餐时间"`
	CentralKitchenForSchoolCancelMealTimeForBreakfast string `json:"central_kitchen_for_school_cancel_meal_time_for_breakfast" binding:"required" label:"央厨取消用餐时间-早餐"`
	CentralKitchenForSchoolCancelMealTimeForLunch     string `json:"central_kitchen_for_school_cancel_meal_time_for_lunch" binding:"required" label:"央厨取消用餐时间-午餐"`
	CentralKitchenForSchoolCancelMealTimeForDinner    string `json:"central_kitchen_for_school_cancel_meal_time_for_dinner" binding:"required" label:"央厨取消用餐时间-晚餐"`
	CentralKitchenForSchoolTeacherMealNotice          string `json:"central_kitchen_for_school_teacher_meal_notice" binding:"required" label:"教师餐说明"`
}

type SetCenterReqForNursingHome struct {
	NursingHomeReserveMealTime string `json:"nursing_home_reserve_meal_time" binding:"required" label:"养老院预定用餐时间"`
	NursingHomeCancelMealTime  string `json:"nursing_home_cancel_meal_time" binding:"required" label:"养老院消用餐时间"`
}
