package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

type CompanyWithAlipayAppAuthTokenDb struct {
	Db *xorm.Engine `json:"db"`
}

func (enterpriseDb *CompanyWithAlipayAppAuthTokenDb) Set() { // set方法
	enterpriseDb.Db = Db
}

func (enterpriseDb *CompanyWithAlipayAppAuthTokenDb) GetCoWithAlipayAppAuthToken(companyId int) (m *model.CompanyWithAlipayAppAuthToken, err error) {
	m = new(model.CompanyWithAlipayAppAuthToken)
	has, err := enterpriseDb.Db.Where("company_id =?", companyId).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
