package model

type SelfSupportForSchoolInfo struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId  int    `json:"enterprise_id" xorm:"not null default 0 comment('单位id') INT(11)"`
	SchoolCode    string `json:"school_code" xorm:"not null default '' comment('学校内标') VARCHAR(255)"`
	SchoolStdCode string `json:"school_std_code" xorm:"not null default '' comment('学校外标') VARCHAR(255)"`
	GroupKey      string `json:"group_key" xorm:"not null default '' comment('学校人脸库ID') VARCHAR(255)"`
	SchoolName    string `json:"school_name" xorm:"not null default '' VARCHAR(255)"`
	Memo          string `json:"memo" xorm:"not null default '' VARCHAR(255)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
