package md

type SelfSupportForSchoolInfoResp struct {
	Name                         string `json:"name" label:"名称"`
	Memo                         string `json:"memo" label:"备注"`
	Mode                         string `json:"mode" label:"模式"`
	Pvd                          string `json:"pvd" label:"场景"`
	Kind                         string `json:"kind" label:"种类(1:央厨-学校 2:央厨-工厂 3:自营-学校 4:自营-工厂)"`
	State                        string `json:"state" label:"状态(1:正常 2:冻结)"`
	TeacherNum                   int64  `json:"teacher_num" label:"教师数量"`
	StudentNum                   int64  `json:"student_num" label:"学生数量"`
	ClassNum                     int64  `json:"class_num" label:"班级数量"`
	ConcentrateSchoolFacePassNum int64  `json:"concentrate_school_face_pass_num" label:"集采数量"`
	SingleSchoolFacePassNum      int64  `json:"single_school_face_pass_num" label:"个采数量"`
	SchoolFacePassNum            int64  `json:"school_face_pass_num" label:"校园一脸通行开通数量"`
	SchoolFacePaymentNum         int64  `json:"school_face_payment_num" label:"校园一脸通行刷脸支付开通数量"`
}
